<?php
   $target='id';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/usuarios.php"); 

   $nombrepagina = "ASIGNAR MENU A USUARIOS";
   encabezado($target);
   $user=$_SESSION['validar'];
   $sucur=$_GET['suc'];
   $filas=1;   
      if($filas == 1)
	{ 
	 class llamado{
	 	var $menuObj;
      	function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form  method="POST" name="backup" action="">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center"><strong>..:: Asignar Menu Usuarios ::..</strong></div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="21" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="21" class="miTable_td">
<?
	combo_user($id,$sucur);
?></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="hidden" name="id_user" value="<? echo $_GET['id_user']?>" class="inputbox" size="25">
<input type="submit" name="Buscar" value="Buscar" class="inputbox">
</div>
</td>
</tr>
</table>
	 <?
		if(isset($Asignar)){
				$num_us=consultar_sql("SELECT * FROM usuarios WHERE id_usuario='".$id."' ");
				if($num_us>=1){
					asignar_menu_usuario($id,$asig,'menu_usuario');
				}else{
					$msgBOX2 = "Usuario No Existe.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
				$Buscar='Buscar';
		}	
		
		if(isset($Eliminar)){
				$num_us=consultar_sql("SELECT * FROM usuarios WHERE id_usuario='".$id."' ");
				if($num_us>=1){
					del_menu_usuario($id,$del,'menu_usuario');
				}else{
					$msgBOX2 = "Usuario No Existe.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
				$Buscar='Buscar';
		}
	
	 if(isset($Buscar)){
		class crearUsuario{
			var $consultarObj;
	  		var $conexionObj;
	  		var $estado;
	  		function setConsultar($id){
	  			$this->consultarObj=new usuarios();
	  		 	$this->consultarObj->setId($id);
			}
			function getConsultar(){
		     	return $this->consultarObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE id_usuario='".$this->consultarObj->getId()."'");
				
				//$rst_validar2="SELECT * FROM usuarios WHERE id_usuario='".$this->consultarObj->getId()."'";
				if(mysql_num_rows($rst_validar)>=1){
					$row_validar=mysql_fetch_array($rst_validar);
					$id=$this->consultarObj->getId();
					$this->actualizarDatos($id);
				}else{
					$msgBOX2 = "Usuario No Existe.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
				
			}
			
			function actualizarDatos($id){
?>
<CENTER>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="3" class=miTable_th1><div align="center">..:: Menu Usuario ::..</div></td>
</tr>
<?
$rst_consulta_menu=$this->conexionObj->consultar("SELECT id, nombre FROM menu");
$i=0;
if(mysql_num_rows($rst_consulta_menu)>=1){
	print "<table>
	       <tr class=miTable_tr>
		   <td class=miTable_td><strong><center>Nombres</center></strong></td>
		   <td class=miTable_td><strong><center>Asignar</center></strong></td>
		   <td class=miTable_td><strong><center>Eliminar</center></strong></td></tr>";
	
	while($row_menu=mysql_fetch_array($rst_consulta_menu)){
		$i++;
		$rst_menu_asignado=$this->conexionObj->consultar("SELECT * FROM menu_usuario WHERE id_usuario='".$id."' AND id_menu='".$row_menu['id']."'");
		echo "<tr class=miTable_tr>";
		echo "<td width=240 valign=top height=42 class=miTable_td>".$row_menu['nombre']."</td>";
		//<input type=checkbox id='asig' name='asig[$i]' value=".$row_menu['id']." class=inputbox ".$check.">
		if(mysql_num_rows($rst_menu_asignado)>=1){
			$check=' ';
  		    echo "<td width=50 valign=middle height=42 class=miTable_td><img src='imagenes/add.gif'></td>";
			echo "<td width=50 valign=middle height=42 class=miTable_td>";
			?>
			<a href='ejecuta_menu.php?&id_menu=<? echo "".$row_menu['id']."";?>&tipo=2&id=<? echo $id?>' onClick="window.open('ejecuta_menu.php?id_menu=<? echo "".$row_menu['id']."";?>&tipo=2&id=<? echo $id?>', 'window','width=300,height=150'); return false"><img src='imagenes/del.gif'></a>
			<? echo "<input type=checkbox id='del' name='del[$i]' value=".$row_menu['id']." class=inputbox ".$check."></td>";
			echo "</tr>";
		}else{
			$check=' ';
			echo "<td width=50 valign=middle height=42 class=miTable_td>";
			?>
			<a href='ejecuta_menu.php?id_menu=<? echo "".$row_menu['id']."";?>&tipo=1&id=<? echo $id?>' onClick="window.open('ejecuta_menu.php?id_menu=<? echo "".$row_menu['id']."";?>&tipo=1&id=<? echo $id?>', 'window','width=300,height=150'); return false">
			<img src='imagenes/add.gif'></a>
			<? echo "<input type=checkbox id='asig' name='asig[$i]' value=".$row_menu['id']." class=inputbox ".$check."></td>";
			echo "<td width=50 valign=middle height=42 class=miTable_td><img src='imagenes/del.gif'></td>";
			echo "</tr>";
		}
			
	}
			
}
?>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="3">
<div align="center">
<input type="submit" name="Asignar" value="Asignar" class="inputbox">
<input type="submit" name="Eliminar" value="Eliminar" class="inputbox" onclick="return confirmDel();">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
	}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearUsuarioObj=new crearUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearUsuarioObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$crearUsuarioObj->validar();
}
	mostrar_pie();
	} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
	<td>
	<center>
	<?
        pie_de_pagina();
        ?>
	</center>
	</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>